package com.six15.hudservice;

import android.graphics.Bitmap;
import android.os.Parcel;
import android.os.Parcelable;

public class ImageFrame implements Parcelable {

    public Bitmap imageBitmap;

    public ImageFrame(Parcel in) {
        imageBitmap = Bitmap.CREATOR.createFromParcel(in);
    }

    public ImageFrame(Bitmap b) {
        imageBitmap = b;
    }

    public static final Creator<ImageFrame> CREATOR = new Creator<ImageFrame>() {
        @Override
        public ImageFrame createFromParcel(Parcel in) {
            return new ImageFrame(in);
        }

        @Override
        public ImageFrame[] newArray(int size) {
            return new ImageFrame[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        imageBitmap.writeToParcel(dest, 0);
    }
}

